GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

REST APIs
    Orders
    Market Data
    Derivatives
    Margin Trading
    Staking
    Clearing
      Create New Clearing OrderGet Clearing OrderCancel Clearing OrderConfirm Clearing OrderList Clearing OrdersList Clearing BrokersCreate New Broker OrderList Clearing Trades
    Instant Orders
    Fund Management
WebSocket
    AuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance Updates
    Playground
      Overviewconninfopingtimesubscribeunsubscribelist_subscriptionsdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
Agentic
FIX

Confirm Clearing Order

TradingClearingConfirm Clearing Order

Confirm Clearing Order

POSThttps://api.gemini.com/v1/clearing/confirm

Confirm the counterparty side of a bilateral clearing order before it is settled.

POSTv1/clearing/confirm
curl --request POST \
  --url https://api.gemini.com/v1/clearing/confirm \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/clearing/confirm",
  "nonce": "<nonce>",
  "clearing_id": "OM9VNL1G",
  "symbol": "btcusd",
  "amount": "100",
  "price": "9500.00",
  "side": "sell"
}
'

Roles

The API key you use to access this endpoint must have the Trader role assigned. See Roles for more information.

The OAuth scope must have clearing:create assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/clearing/confirm"
nonceTimestampType | integer·required
timestampExample: 1495127793000
clearing_idstring·required
The clearing ID
symbolstring·required
The trading pair
amountstring·required
The amount to trade
pricestring·required
The price
sidestring·enum·required
The direction of the tradeEnum values: buysell
accountstring
Required for Master API keys. The name of the account within the subaccount group.
Example request body
{
  "request": "/v1/clearing/confirm",
  "nonce": "<nonce>",
  "clearing_id": "OM9VNL1G",
  "symbol": "btcusd",
  "amount": "100",
  "price": "9500.00",
  "side": "sell"
}

Responses

Successful operation

resultstring
Status of the confirmation operation
Example Responses
{
  "result": "confirmed"
}
PreviousCancel Clearing OrderNextList Clearing Orders
Last modified on May 5, 2026